#module imports
from fielddisplay import fielddisplay

class radaroverlay:
	#properties
	def __init__(self):
		# {{{ Properties
		self.pwr = float('NaN')
		self.x   = float('NaN')
		self.y   = float('NaN')

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string='   radaroverlay parameters:'
		string="%s\n\n%s"%(string,fielddisplay(obj,'pwr','radar power image (matrix)'))
		string="%s\n%s"%(string,fielddisplay(obj,'x','corresponding x coordinates'))
		string="%s\n%s"%(string,fielddisplay(obj,'y','corresponding y coordinates'))
		return string
		#}}}
		
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

